Bug 1304750 - python-vobject-0.9.0 is available
Summary: python-vobject-0.9.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-vobject
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-02-04 14:21 UTC by Upstream Release Monitoring
Modified: 2016-02-09 10:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-09 10:57:35 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2016-02-04 14:21:34 UTC
Latest upstream release: 0.9.0
Current version/release in rawhide: 0.8.1c-12.fc23
URL: http://eventable.github.io/vobject/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2016-02-04 14:21:45 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-UVHra8/python-vobject.spec
return code:  22
stdout:
Getting http://vobject.skyhouseconsulting.com/vobject-0.9.0.tar.gz to ./vobject-0.9.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 2 Mingye Wang 2016-02-05 00:34:15 UTC
According to http://vobject.skyhouseconsulting.com/, the package has been moved to GitHub: https://eventable.github.io/vobject/ 

Consider using the pypi source:
https://testpypi.python.org/packages/source/v/vobject/vobject-0.9.0.tar.gz#md5=ec50e3e78efaee951b9ec0855d660c1c

Or the git tag achieve:
https://github.com/eventable/vobject/archive/0.9.0.tar.gz
https://github.com/eventable/vobject/releases/tag/0.9.0

This new release provides Python 3 compatibility, so you may also want to package something like python3-vobject

Comment 3 Pierre-YvesChibon 2016-02-05 08:50:48 UTC
Thanks for the info, but I know about it, I'm the one that updated anitya so it looks at the right location and points to the right homepage :-)

Comment 4 Petr Viktorin 2016-02-05 14:47:04 UTC
If you need any help with Python3 packaging (beyond the Python packaging guidelines [0]), I'll be happy to assist.

[0] https://fedoraproject.org/wiki/Packaging:Python

Comment 5 Pierre-YvesChibon 2016-02-05 15:01:31 UTC
Thanks it should be fine, just need to take the time to do it :)


Note You need to log in before you can comment on or make changes to this bug.